%clear

clc

param1();



Ts=-1;

Tsp=1e-4;

frq=49.92;

%------------Nominal Values-------------

Pb=30e3;

Vb=400/1.71*1.4;

Ib=Pb/400/1.71*1.4;

xb=Vb^2/Pb;

%------------ Power Controller parameters-------------



kf=20;

nn=15;

kp=-0.1;

kq=0.04;

m1=-0.08/1.4;

m2=-0.01*nn/1.4;

n1=5;

n2=1.5*n1;



% mm=0.04*[-1  -1;3   -1];

 %mm=0.04*[-1 0 ;0 -3];

 mm=0.04*[-1 0 ;0 -3];

ma=mm(1,1);

mb=mm(1,2);

mc=mm(2,2);

md=mm(2,1);



Tdata1  =  [0    0.2  0.5      1.4];

Tbreak1=   [0    0.5    0.7     1   1.2 ];

Tdata2  =  -[1.4      0.5     0.2];

Tbreak2=   -[1       0.7      0.5 ];



Tdata=[Tdata2 Tdata1];

Tbreak=[Tbreak2 Tbreak1];

Tdatap=[Tdata 2.2];

Tdataq=[Tdata 2.2];





ki=0;



k1=1;

k2=1;

k3=2;

k4=2;

k5=2;

Kvec=[k1 k2 k3 k4 k5];

Pset1=0;

Qset1=0;



wb=2*pi*50;

wset=1;

vset=1;

wc=30;

wc2=30;

wp=pi*2*50;

%------------Voltage and current Controller parameters-------------

wr=2*pi*50;

w0=2*pi*50;



Im=66;





%------------Voltage and current Controller parameters-------------

wr=2*pi*50;

kpi=13.3;

kii=20400;

kpv=0.0337;

kiv=300;

H=0.7;



%------------ Circuit parameters -------------



lf0=1.84e-3;

rf0=0.184;

lc0=0.68e-3;

rc0=0.07;

cf0=39e-6;





lf=[k1 k2 k3 k4 k5].*lf0;

rf=[k1 k2 k3 k4 k5].*rf0;

cf=cf0./[k1 k2 k3 k4 k5];





k1=1.5;

k2=1;

k3=2.5;

k4=2;

k5=3;



lc=[k1 k2 k3 k4 k5].*lc0;

rc=[k1 k2 k3 k4 k5].*rc0;

k1=1;

k2=1;

k3=2;

k4=2;

k5=2;



imp=1;

nop=4;

CCT=20e-3*10;

Pref=5e3;

Qref=5e3;



delset=0;



v=1;

tet=atan(lc0*314/(rc0));

cos1=cos(tet);

sin1=sin(tet);



tet1=atan(lc0*314/rc0);

cos11=cos(tet1);

sin11=sin(tet1);



z1=sqrt((1.5*0.08)^2+(0.02*1.5)^2);

z2=sqrt(0.08^2+0.02^2);

VDC=380;

nop=4;

param1();

CCT=0.2;



%%Load impedance

Pload=52e3;

Qload=58e3;

G=Pload/400^2;

B=Qload/400^2;

Rload=G/(G^2+B^2);

Lload=B/(G^2+B^2)/314;



